package de.intevation.flys.artifacts.states.extreme;

import org.apache.log4j.Logger;

import de.intevation.artifactdatabase.data.StateData;
import de.intevation.artifacts.CallContext;
import de.intevation.flys.artifacts.states.DefaultState;


/**
 * @author <a href="mailto:raimund.renkert@intevation.de">Raimund Renkert</a>
 */
public class PercentInput extends DefaultState {

    /** The logger used in this class. */
    private static Logger logger = Logger.getLogger(PercentInput.class);

    public static final String PARAMETER_NAME = "percent";


    /**
     * The default constructor that initializes an empty State object.
     */
    public PercentInput () {
    }


    /** Tell UI what to display for input. */
    @Override
    protected String getUIProvider() {
        return "percent_input";
    }


    @Override
    protected String[] getDefaultsFor(CallContext context, StateData data) {
        if (data != null && data.getName().equals(PARAMETER_NAME)) {
            return new String[] {"5", "5"};
        }

        return null;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf-8 :
